AuthPolicies

Attach a policy to an identity

POST/auth/v1/memberships/{orgId}/policies/{policyId}/attachments

Attaches the given policy to an identity so the policy's permissions apply to that identity.

X-API-Key<token>

In: header

Path Parameters

orgId*string

Organization ID

policyId*string

Policy ID

Request Body

required
application/json
{
  "identity_id": "string",
  "identity_type": "string"
}
identity_id*string
identity_type*string

Response Body

201application/json

Created

type: object

created_at?string
id?string
identity_id?string
identity_type?string
policy_id?string
400application/json

Bad Request

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

403application/json

Forbidden

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

curl -X POST "https://api.rixl.com/auth/v1/memberships/string/policies/string/attachments" \
  -H "Content-Type: application/json" \
  -d '{
    "identity_id": "string",
    "identity_type": "string"
  }'
const body = JSON.stringify({
  "identity_id": "string",
  "identity_type": "string"
})

fetch("https://api.rixl.com/auth/v1/memberships/string/policies/string/attachments", {
  method: "POST",
  headers: {
    "Content-Type": "application/json"
  },
  body
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
  "strings"
)

func main() {
  url := "https://api.rixl.com/auth/v1/memberships/string/policies/string/attachments"
  body := strings.NewReader(`{
    "identity_id": "string",
    "identity_type": "string"
  }`)
  req, _ := http.NewRequest("POST", url, body)
  req.Header.Add("Content-Type", "application/json")
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://api.rixl.com/auth/v1/memberships/string/policies/string/attachments"
body = """{
  "identity_id": "string",
  "identity_type": "string"
}"""
response = requests.request("POST", url, data = body, headers = {
  "Content-Type": "application/json"
})

print(response.text)
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;
import java.net.http.HttpRequest.BodyPublishers;

var body = BodyPublishers.ofString("""{
  "identity_id": "string",
  "identity_type": "string"
}""");
HttpClient client = HttpClient.newBuilder()
  .connectTimeout(Duration.ofSeconds(10))
  .build();

HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
  .uri(URI.create("https://api.rixl.com/auth/v1/memberships/string/policies/string/attachments"))
  .header("Content-Type", "application/json")
  .POST(body)
  .build();

try {
  HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
  System.out.println("Status code: " + response.statusCode());
  System.out.println("Response body: " + response.body());
} catch (Exception e) {
  e.printStackTrace();
}
using System;
using System.Net.Http;
using System.Text;

var body = new StringContent("""
{
  "identity_id": "string",
  "identity_type": "string"
}
""", Encoding.UTF8, "application/json");

var client = new HttpClient();
var response = await client.PostAsync("https://api.rixl.com/auth/v1/memberships/string/policies/string/attachments", body);
var responseBody = await response.Content.ReadAsStringAsync();

Created

application/json

{
  "created_at": "string",
  "id": "string",
  "identity_id": "string",
  "identity_type": "string",
  "policy_id": "string"
}

Bad Request

application/json

{
  "code": 400,
  "details": "The provided ID is not valid",
  "error": "Bad Request"
}

Forbidden

application/json

{
  "code": 403,
  "details": "The provided ID is not valid",
  "error": "Forbidden"
}